function [] = ploting(X,u,nStep,nx,ny,p)



    for n=1:nStep
        xx  = reshape(X(:,1), p*nx+1, p*ny+1)';
        yy  = reshape(X(:,2), p*nx+1, p*ny+1)';
        u_dib = reshape(u(:,n), p*nx+1, p*ny+1)';
        figure(2); clf;
        set(gca,'zlim',[0 1]);
        set(gca,'xlim',[0 2]);
        set(gca,'ylim',[0 3]);
        surface(xx,yy,u_dib,'FaceColor','interp');
        set(gca,'FontSize',12)
        
        grid on
        view(3)
        pause(0.1)
    end

end